Update Template
curl --request PATCH \
--url https://api.example.com/v1/templates/{template_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"width": 4104,
"height": 4104,
"canvas_data": {},
"composition_html": "<string>",
"placeholders": [
{
"name": "<string>",
"type": "<string>",
"default": null,
"format": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v1/templates/{template_id}"
payload = {
"name": "<string>",
"width": 4104,
"height": 4104,
"canvas_data": {},
"composition_html": "<string>",
"placeholders": [
{
"name": "<string>",
"type": "<string>",
"default": None,
"format": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
width: 4104,
height: 4104,
canvas_data: {},
composition_html: '<string>',
placeholders: [{name: '<string>', type: '<string>', default: null, format: '<string>'}]
})
};
fetch('https://api.example.com/v1/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "<string>",
"format": "<string>",
"width": 123,
"height": 123,
"canvas_data": {},
"composition_html": "<string>",
"placeholders": [
{}
],
"is_published": true,
"current_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"video_strategy": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}templates
Update Template
PATCH
/
v1
/
templates
/
{template_id}
Update Template
Headers
Path Parameters
Body
application/json
Response
Successful Response